#!/bin/sh

#export LOGLEVEL=DEBUG

pkg_add -z `cat bootstrap/openbsd/pkg-requirements.txt`

grep "^cloud:" /etc/passwd > /dev/null
ret=$?
if [ $ret -ne 0 ]
then
	# create the required backdoor user
	groupadd cloud
	useradd -g cloud -G wheel -m cloud
fi

#sed -i '.orig' -e 's/# \(%wheel ALL=(ALL) ALL\)/\1/g' /usr/local/etc/sudoers

mkdir -p /store
mkdir -p /etc/circle

if [ ! -d /root/agent ]
then
	cd /root
	git clone https://git.ik.bme.hu/circle/agent.git agent
fi

virtenv=/usr/local/virtualenvs/agent
if [ ! -d $virtenv ]; then
	python2 -m virtualenv $virtenv
	. $virtenv/bin/activate
	pip install -r /root/agent/requirements.txt
	deactivate
fi

cp bootstrap/openbsd/usr/sbin/mount_circle-userstore /usr/sbin/mount_circle-userstore
cp bootstrap/openbsd/rc.d/agent /etc/rc.d/agent

rcctl enable agent
rcctl start agent
